import type { Json } from "../constants";
export interface IAction {
    actionType: "addColumn" | "addIndex" | "changeColumn" | "createTable" | "dropTable" | "removeColumn" | "removeIndex";
    tableName: string;
    attributes?: any;
    attributeName?: any;
    options?: any;
    columnName?: any;
    fields?: any[];
    depends: string[];
}
export declare enum Direction {
    Up = 0,
    Down = 1
}
export default function getDiffActionsFromTables(previousStateTables: Json, currentStateTables: Json, direction: Direction): IAction[];
